%{?nodejs_find_provides_and_requires}

Name:       nodejs-inherits
Version:    2.0.1
Release:    %mkrel 1
Summary:    A tiny simple way to do classic inheritance in js
License:    WTFPL
Group:      Development/C
URL:        https://github.com/isaacs/inherits
Source0:    http://registry.npmjs.org/inherits/-/inherits-%{version}.tgz
Source1:    https://raw.github.com/isaacs/inherits/112807f2670160b6e3bafdf39e395c10ae7d0fac/LICENSE
BuildArch:  noarch

BuildRequires:  nodejs-packaging

%description
%{summary}.

%prep
%setup -q -n package

#copy the license into %%{_builddir} so it works with %%doc
cp -p %{SOURCE1} LICENSE

%build
#nothing to do

%install

mkdir -p %{buildroot}%{nodejs_sitelib}/inherits@2
cp -pr inherits.js package.json %{buildroot}%{nodejs_sitelib}/inherits@2

%nodejs_symlink_deps

ln -sf inherits@2 %{buildroot}%{nodejs_sitelib}/inherits

# rpm blows up if you try to replace a dir with a symlink or vice-versa
%pretrans -p <lua>
if posix.stat("%{nodejs_sitelib}/inherits", "type") == "directory" then
    os.rename('%{nodejs_sitelib}/inherits', '%{nodejs_sitelib}/inherits@2')
end

%files
%{nodejs_sitelib}/inherits@2
%{nodejs_sitelib}/inherits
%doc README.md LICENSE



%changelog
* Fri May 13 2016 joequant <joequant> 2.0.1-1.mga6
+ Revision: 1014955
- upgrade to 2.0.1

* Mon Feb 08 2016 umeabot <umeabot> 2.0.0-2.mga6
+ Revision: 950281
- Mageia 6 Mass Rebuild

* Mon Oct 27 2014 tv <tv> 2.0.0-1.mga5
+ Revision: 793664
- imported package nodejs-inherits

